> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Exclude Video Content Item



## OpenAPI

````yaml /openapi.json delete /api/v1/teams/{team_id}/video-content/items/{item_id}
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/teams/{team_id}/video-content/items/{item_id}:
    delete:
      tags:
        - Team Onboarding
      summary: Exclude Video Content Item
      operationId: >-
        exclude_video_content_item_api_v1_teams__team_id__video_content_items__item_id__delete
      parameters:
        - name: team_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Team Id
        - name: item_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Item Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoContentQueueResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    VideoContentQueueResponse:
      properties:
        sources:
          items:
            $ref: '#/components/schemas/VideoContentQueueSourceResponse'
          type: array
          title: Sources
        items:
          items:
            $ref: '#/components/schemas/VideoContentQueueItemResponse'
          type: array
          title: Items
      type: object
      title: VideoContentQueueResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    VideoContentQueueSourceResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        team_id:
          type: string
          format: uuid
          title: Team Id
        source_url:
          type: string
          title: Source Url
        source_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Type
        default_limit:
          type: integer
          title: Default Limit
          default: 30
        scan_metadata:
          additionalProperties: true
          type: object
          title: Scan Metadata
        last_scanned_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Scanned At
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - team_id
        - source_url
        - created_at
        - updated_at
      title: VideoContentQueueSourceResponse
    VideoContentQueueItemResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        team_id:
          type: string
          format: uuid
          title: Team Id
        source_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Source Id
        team_task_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Team Task Id
        kind:
          type: string
          enum:
            - web_page
            - brief
          title: Kind
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        normalized_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Normalized Url
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        excerpt:
          anyOf:
            - type: string
            - type: 'null'
          title: Excerpt
        instructions:
          anyOf:
            - type: string
            - type: 'null'
          title: Instructions
        brief_text:
          anyOf:
            - type: string
            - type: 'null'
          title: Brief Text
        sort_order:
          type: integer
          title: Sort Order
        status:
          type: string
          enum:
            - queued
            - excluded
            - drafting
            - awaiting_approval
            - completed
            - failed
          title: Status
        input_metadata:
          additionalProperties: true
          type: object
          title: Input Metadata
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        dispatched_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Dispatched At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
      type: object
      required:
        - id
        - team_id
        - kind
        - sort_order
        - status
        - created_at
        - updated_at
      title: VideoContentQueueItemResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````